lp:~ubuntu-desktop/gnome-python-desktop/ubuntu

Created by Sebastien Bacher on 2009-02-16 and last modified on 2011-07-06
Get this branch:
bzr branch lp:~ubuntu-desktop/gnome-python-desktop/ubuntu
Members of Ubuntu Desktop can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Desktop
Project:
Gnome Python Desktop
Status:
Development

Recent revisions

59. By Barry Warsaw on 2011-07-06

Switch to dh_python2. (LP: #788514)

58. By Sebastien Bacher on 2011-05-31

releasing version 2.32.0-0ubuntu4

57. By Sebastien Bacher on 2011-05-31

debian/control.in: drop python-mediaprofiles, python-gnomeapplet the
corresponding GTK2 versions of those libraries are deprecated in GNOME3

56. By Martin Pitt on 2011-05-31

import 2.32.0-0ubuntu2 upload into bzr

55. By Martin Pitt on 2011-05-31

releasing version 2.32.0-0ubuntu2

54. By Martin Pitt on 2011-05-31

debian/control.in: Drop python-evince. Evince is GTK 3 now, thus the
binding doesn't work any more. This will break current
sugar-read-activity, but this is being ported to GI upstream.

53. By Martin Pitt on 2011-05-31

debian/control.in: libevview-dev, libevdocument-dev → libevince-dev.

52. By Martin Pitt on 2011-05-31

debian/control.in: Drop python-brasero. Brasero is GTK 3 now, thus the
binding doesn't work any more. This will break pybackpack as the only
reverse dependency, until it gets ported to GI.

51. By Robert Ancell on 2010-11-17

* New upstream release
* debian/patches/evince-2.32.patch:
  - Applied upstream

50. By Daniel Holbach on 2010-11-16

* Merge from Debian unstable (LP: #403078). Remaining changes:
  - debian/control:
    + Remove bug-buddy build-depend
    + Add Vcs-Bzr link
    + python-evince suggest evince
    + Replace libevince-dev (which does not exist in Ubuntu) with our split
      libevview-dev/libevdocument-dev.
    + Add libtool build dependency.
  - debian/rules:
    + Run autotools on build
  - debian/python-evince.examples:
    + Add examples for evince
  - debian/watch:
    + Watch unstable series
  - 90_autotools.patch:
    + Not required, autotools now run on build
  - evince-2.32.patch:
    + To build against current evince.
* Dropped changes:
  - Use Ubuntu version for gnome-python-desktop conflicts, predates lucid.
* debian/patches/01_wnck_enums.patch:
  - Patch from upstream bugzilla, fix flags in the wnck module that were
    declared as enums. Closes: #597414.
* debian/control.in:
  - Build depend on libgnome-media-dev on Hurd now that it's built there.
    Thus build the python-mediaprofiles package.
  - Build depend on bug-buddy on Hurd too since it's built there now.
* Use Replaces instead of Conflicts to ease APT finding the correct
  upgrade path.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers